Web lists-archives.com

Re: Setup-x86_64 and Cygwin 64 Latest Updates - Packages NOT Upgraded




On 2017-03-31 15:18, Marco Atzeri wrote:
> On 31/03/2017 23:03, Brian Inglis wrote:
>> Just updated to latest Setup-x86_64 and Cygwin 64 packages.
>>
>> Cross-checking setup and installed releases I find installed:
>>
>> $ egrep '^(libproj9|libslang2|perl-Carp)\s' /etc/setup/installed.db
>> libproj9 libproj9-4.9.3-1.tar.bz2 0
>> libslang2 libslang2-2.3.1pre17-1.tar.bz2 0
>> perl-Carp perl-Carp-1.3301-2.tar.bz2 0
>>
>> but setup.ini shows:
>>
>> $ awk '/^@ (libproj9|libslang2|perl-Carp)$/,/^version:\s/' \
>>     `apt cache`/mirror/$HOSTTYPE/setup.ini | \
>>     egrep '^(@|version:)\s'
>> @ libproj9
>> version: 4.9.2-1
>> @ libslang2
>> version: 2.3.1a-1
>> @ perl-Carp
>> version: 1.38-1
> 
> on 64 bit libproj9 version seems only 4.9.2-1 for X86_64.
> I will look whats happened.
> 
> for libslang2 you need to force update as
> libslang2-2.3.1pre17-1 > 2.3.1a-1
> 
> An improvement on revision (0.x instead of 1) was done to avoid this
> pitfall, but in this case it was too late.

Going a bit more generic I see:

$ egrep '^(libproj|libslang|perl-Carp)' /etc/setup/installed.db
libproj12 libproj12-4.9.3-2.tar.bz2 0
libproj9 libproj9-4.9.3-1.tar.bz2 0
libslang2 libslang2-2.3.1pre17-1.tar.bz2 0
perl-Carp perl-Carp-1.3301-2.tar.bz2 0

$ awk '/^@ (libproj|libslang|perl-Carp)/,/^version:\s/' \
	`apt cache`/mirror/$HOSTTYPE/setup.ini | \
	egrep '^(@|version:)\s'
@ libproj-devel
version: 4.9.3-2
@ libproj12
version: 4.9.3-2
@ libproj9
version: 4.9.2-1
@ libslang-devel
version: 2.3.1a-1
@ libslang2
version: 2.3.1a-1
@ perl-Carp
version: 1.38-1

$ awk '/^@ proj$/,/^requires:\s/' `apt cache`/mirror/$HOSTTYPE/setup.ini
@ proj
sdesc: "The PROJ Cartographic Projections Software"
ldesc: "Cartographic projection library and utilities"
category: Graphics Libs
requires: cygwin libproj12 libproj9

$ ls -golrt `apt cache`/mirror/$HOSTTYPE/release/{proj/libproj,slang/libslang,perl-Carp}* \
	/etc/setup/{libproj,libslang,perl-Carp}*
-rw-r--r-- 1 132 Aug 26  2015 /etc/setup/perl-Carp.lst.gz
-rw-r--r-- 1  43 Oct 19  2015 /etc/setup/libslang2.lst.gz
-rw-r--r-- 1  43 Oct  4 00:01 /etc/setup/libproj9.lst.gz
-rw-r--r-- 1  43 Jan 13 15:12 /etc/setup/libproj12.lst.gz

'C:/usr/local/cygwin64/var/cache/setup/packages/mirror/x86_64/release/perl-Carp':
total 44K
-rw-r--r-- 1  17K Apr  4  2015 perl-Carp-1.3301-2.tar.xz
-rw-r--r-- 1  17K Aug 26  2015 perl-Carp-1.36-2.tar.xz

'C:/usr/local/cygwin64/var/cache/setup/packages/mirror/x86_64/release/slang/libslang2':
total 248K
-rw-r--r-- 1 247K Oct 19  2015 libslang2-2.3.1pre17-1.tar.xz

'C:/usr/local/cygwin64/var/cache/setup/packages/mirror/x86_64/release/proj/libproj9':
total 132K
-rw-r--r-- 1 128K Oct  4 00:01 libproj9-4.9.3-1.tar.xz

'C:/usr/local/cygwin64/var/cache/setup/packages/mirror/x86_64/release/proj/libproj12':
total 128K
-rw-r--r-- 1 128K Jan 13 15:12 libproj12-4.9.3-2.tar.xz

https://cygwin.com/ml/cygwin/2016-11/msg00125.html python-gdal

So it looks like libproj9 -> libproj12 leaving libproj9 still in 
requires for [prev], and perl-Carp may have been another version 
number, or setup upgrade run problem perhaps?

>> Are dependencies only auto-updated when the manually picked
>> packages that depend on them are?
>>
>> Could these packages now be orphans if their original manually 
>> picked parent packages changed their dependencies?

-- 
Take care. Thanks, Brian Inglis, Calgary, Alberta, Canada

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple